[Numpy-discussion] [SciPy-user] Numpy 1.2.1 and Scipy 0.7.0; Ubuntu packages

Pauli Virtanen pav@iki...
Thu Feb 12 05:50:26 CST 2009


Thu, 12 Feb 2009 03:39:59 -0800, Andrew Straw wrote:
[clip]
> ...except for one last question: If Hardy uses the g77 ABI but I'm
> building scipy with gfortran, shouldn't there be an ABI issue with my
> ATLAS? Shouldn't I get lots of test failures with scipy? I don't.

On Debian Etch you get mysterious failures if you do this, see for 
example:

	http://scipy.org/scipy/scipy/ticket/815

So in general, avoiding mixing g77 and gfortran seems to be necessary for 
evading problems. Perhaps this depends on the specific g77 and gfortran 
versions, but it's easier just not to go there.

-- 
Pauli Virtanen



More information about the Numpy-discussion mailing list